Legrand / Raritan Xerus™ JSON-RPC API for Remote Access Devices like KX4-101, KX3G2

Loading...
Searching...
No Matches
Public Attributes | List of all members
radm::KvmPort::Settings Struct Reference

## Public Attributes
string | name
| Port name.
VideoResolution | preferredResolution
| Preferred video resolution for this port (available for ddc capability)
EdidSource | preferredResolutionSource
| Source of EDID data for preferred resolution (available for ddc capability)
boolean | dviCompatMode
| Use DVI instead of HDMI EDID data (available for dviCompatMode capability)
boolean | videoPortrait
| Whether to interpret the video signal in landscape or portrait orientation.
boolean | videoThrottle
| Cap client frame rate at half of incoming video frame rate.
DigitalPortSettings | digital
| Digital port settings (not available for cim capabilitty)
CimPortSettings | cim
| CIM-based port settings (available for cim capability)
IntelligentMouseSettings | mouse
| Settings for intelligent mouse mode.
UsbSettings | usb
| USB settings (available for usbSettings capability)
vector< int > | selectedProfiles
| IDs of USB profiles to be available for this port (available for usbProfiles capability)
int | activeProfile
| ID of active USB profile (available for usbProfiles capability)
int | preferredProfile
| ID of preferred USB profile (available for usbProfiles capability)

## Detailed Description

Definition at line 99 of file KvmPort.idl.

## Member Data Documentation

## ◆ activeProfile

int radm::KvmPort::Settings::activeProfile

ID of active USB profile (available for usbProfiles capability)

Definition at line 111 of file KvmPort.idl.

## ◆ cim

CimPortSettings radm::KvmPort::Settings::cim

CIM-based port settings (available for cim capability)

Definition at line 107 of file KvmPort.idl.

## ◆ digital

DigitalPortSettings radm::KvmPort::Settings::digital

Digital port settings (not available for cim capabilitty)

Definition at line 106 of file KvmPort.idl.

## ◆ dviCompatMode

boolean radm::KvmPort::Settings::dviCompatMode

Use DVI instead of HDMI EDID data (available for dviCompatMode capability)

Definition at line 103 of file KvmPort.idl.

## ◆ mouse

IntelligentMouseSettings radm::KvmPort::Settings::mouse

Settings for intelligent mouse mode.

Definition at line 108 of file KvmPort.idl.

## ◆ name

string radm::KvmPort::Settings::name

Port name.

Definition at line 100 of file KvmPort.idl.

## ◆ preferredProfile

int radm::KvmPort::Settings::preferredProfile

ID of preferred USB profile (available for usbProfiles capability)

Definition at line 112 of file KvmPort.idl.

## ◆ preferredResolution

VideoResolution radm::KvmPort::Settings::preferredResolution

Preferred video resolution for this port (available for ddc capability)

Definition at line 101 of file KvmPort.idl.

## ◆ preferredResolutionSource

EdidSource radm::KvmPort::Settings::preferredResolutionSource

Source of EDID data for preferred resolution (available for ddc capability)

Definition at line 102 of file KvmPort.idl.

## ◆ selectedProfiles

vector<int> radm::KvmPort::Settings::selectedProfiles

IDs of USB profiles to be available for this port (available for usbProfiles capability)

Definition at line 110 of file KvmPort.idl.

## ◆ usb

UsbSettings radm::KvmPort::Settings::usb

USB settings (available for usbSettings capability)

Definition at line 109 of file KvmPort.idl.

## ◆ videoPortrait

boolean radm::KvmPort::Settings::videoPortrait

Whether to interpret the video signal in landscape or portrait orientation.

Definition at line 104 of file KvmPort.idl.

## ◆ videoThrottle

boolean radm::KvmPort::Settings::videoThrottle

Cap client frame rate at half of incoming video frame rate.

Definition at line 105 of file KvmPort.idl.

The documentation for this struct was generated from the following file:

- KvmPort.idl